<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Request;
        
class StaffGetBusinessLocationByIdRequest 
{
    /** @var string $id The ID of the business location to retrieve.*/
    public string $id;
    /** @var null|string $timezone The timezone to use for the request. If not provided, the server default timezone will be used.*/
    public ?string $timezone = null;
    /** @var null|\Bushelpowered\Api\Businesspages\V1\Model\DateRange $range */
    public ?\Bushelpowered\Api\Businesspages\V1\Model\DateRange $range = null;

    /**
     * @param  string  $id The ID of the business location to retrieve.
     * @param  null|string  $timezone The timezone to use for the request. If not provided, the server default timezone will be used.
     * @param  null|\Bushelpowered\Api\Businesspages\V1\Model\DateRange  $range 
     */
    public function __construct(string $id, ?string $timezone, ?\Bushelpowered\Api\Businesspages\V1\Model\DateRange $range)
    {
        $this->id = $id;
        $this->timezone = $timezone;
        $this->range = $range;
    }
    

}