<?php
namespace Bushelpowered\Api\Aggregator\Location\V1\Response;
        
interface HasLocationData
{
        /**
         * @return string The primary unique identifier.
         */
    public function getid(): string;
        /**
         * @return string The tenant identifier.
         */
    public function gettenantId(): string;
        /**
         * @return string The datasource identifier.
         */
    public function getdatasourceId(): string;
        /**
         * @return string The global unique identifier of the source record, often concatenation of the datasource and source identifiers to ensure uniqueness.
         */
    public function getintegrationId(): string;
        /**
         * @return string The source record identifier.
         */
    public function getsourceId(): string;
        /**
         * @return null|string The source record location name.
         */
    public function getsourceName(): ?string;
        /**
         * @return null|string The internal location name.
         */
    public function getinternalName(): ?string;
        /**
         * @return null|string The public-facing location name.
         */
    public function getpublicName(): ?string;
        /**
         * @return null|string The first line of the physical address.
         */
    public function getphysicalAddressLine1(): ?string;
        /**
         * @return null|string The second line of the physical address.
         */
    public function getphysicalAddressLine2(): ?string;
        /**
         * @return null|string The city or locality.
         */
    public function getphysicalLocality(): ?string;
        /**
         * @return null|string The state or region.
         */
    public function getphysicalAdministrativeArea(): ?string;
        /**
         * @return null|string The postal or ZIP code.
         */
    public function getphysicalPostalCode(): ?string;
        /**
         * @return null|string The ISO country code.
         */
    public function getphysicalCountryCode(): ?string;
        /**
         * @return null|float The latitude coordinate.
         */
    public function getlatitude(): ?float;
        /**
         * @return null|float The longitude coordinate.
         */
    public function getlongitude(): ?float;
        /**
         * @return string[]|null The list of business types for the location.  Expected options include Grain Delivery, Agronomy, Office, Plant, Seed and Feed
         */
    public function getbusinessType(): ?array;
        /**
         * @return null|string The business phone number.
         */
    public function getbusinessPhone(): ?string;
        /**
         * @return null|string The business fax number.
         */
    public function getbusinessFax(): ?string;
        /**
         * @return null|string The business email address.
         */
    public function getbusinessEmail(): ?string;
        /**
         * @return null|string The business website URL.
         */
    public function getbusinessWebsite(): ?string;
        /**
         * @return null|int The location identifier in Centre.
         */
    public function getcentreId(): ?int;
        /**
         * @return int The company identifier in Centre.
         */
    public function getcompanyId(): int;
        /**
         * @return string The global unique identifier of the remote record in Centre.
         */
    public function getcompanyIdRemoteId(): string;
        /**
         * @return null|bool Whether the location is hidden in Centre.
         */
    public function gethidden(): ?bool;
        /**
         * @return null|string When cash bids were hidden in Centre. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getcashBidsHiddenAt(): ?string;
        /**
         * @return null|string When push notifications were hidden in Centre. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
         */
    public function getpushNotificationsHiddenAt(): ?string;
        /**
         * @return null|string The data revision number in Centre.
         */
    public function getrevision(): ?string;
}