<?php
namespace Bushelpowered\Api\Iam\Keycloak\V1\Request;
        
class InviteUserRequest 
{
    /** @var null|string $firstName The first name of the user being invited*/
    public ?string $firstName = null;
    /** @var null|string $lastName The last name of the user being invited*/
    public ?string $lastName = null;
    /** @var string $email The email address of the user being invited*/
    public string $email;
    /** @var \Bushelpowered\Api\Iam\Keycloak\V1\Model\InviteType $inviteType */
    public \Bushelpowered\Api\Iam\Keycloak\V1\Model\InviteType $inviteType;
    /** @var null|string $companyName The name of the company the user is invited to*/
    public ?string $companyName = null;
    /** @var string $redirectUrl The url you want the invite email to redirect the user to*/
    public string $redirectUrl;

    /**
     * @param  null|string  $firstName The first name of the user being invited
     * @param  null|string  $lastName The last name of the user being invited
     * @param  string  $email The email address of the user being invited
     * @param  \Bushelpowered\Api\Iam\Keycloak\V1\Model\InviteType  $inviteType 
     * @param  null|string  $companyName The name of the company the user is invited to
     * @param  string  $redirectUrl The url you want the invite email to redirect the user to
     */
    public function __construct(?string $firstName, ?string $lastName, string $email, \Bushelpowered\Api\Iam\Keycloak\V1\Model\InviteType $inviteType, ?string $companyName, string $redirectUrl)
    {
        $this->firstName = $firstName;
        $this->lastName = $lastName;
        $this->email = $email;
        $this->inviteType = $inviteType;
        $this->companyName = $companyName;
        $this->redirectUrl = $redirectUrl;
    }
    

}