<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Response;
        
class TenantCommodityListResponse implements \Bushelpowered\Api\Common\ReturnsPaginationTokens
{
    /** @var \Bushelpowered\Api\Platform\Commodity\V1\Model\TenantCommodityStandard[] $data */
    public array $data;
    /** @var null|string $continuationToken A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.*/
    public ?string $continuationToken = null;

    /**
     * @param  \Bushelpowered\Api\Platform\Commodity\V1\Model\TenantCommodityStandard[]  $data 
     * @param  null|string  $continuationToken A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.
     */
    public function __construct(array $data, ?string $continuationToken)
    {
        $this->data = $data;
        $this->continuationToken = $continuationToken;
    }
    
    /**
     * @return null|string A service-generated token encoding current pagination state. <br>Clients SHOULD NOT attempt to manufacture continuation tokens.
     */
    public function getContinuationToken(): ?string
    {
        return $this->continuationToken;
    }
}