<?php
namespace Bushelpowered\Api\Platform\Connection\V1\Model;
        
class ConnectionStandard implements \Bushelpowered\Api\Common\HasTimestamps
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $tenantId The tenant identifier.*/
    public string $tenantId;
    /** @var null|string $userId */
    public ?string $userId = null;
    /** @var null|string $accountId The account identifier.*/
    public ?string $accountId = null;
    /** @var string $featureId */
    public string $featureId;
    /** @var string $consumerId */
    public string $consumerId;
    /** @var string $consumerTargetId */
    public string $consumerTargetId;
    /** @var null|bool $isConnected */
    public ?bool $isConnected = null;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var null|string $deletedAt Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $tenantId The tenant identifier.
     * @param  null|string  $userId 
     * @param  null|string  $accountId The account identifier.
     * @param  string  $featureId 
     * @param  string  $consumerId 
     * @param  string  $consumerTargetId 
     * @param  null|bool  $isConnected 
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deletedAt Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $tenantId, ?string $userId, ?string $accountId, string $featureId, string $consumerId, string $consumerTargetId, ?bool $isConnected, string $createdAt, string $updatedAt, ?string $deletedAt)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->userId = $userId;
        $this->accountId = $accountId;
        $this->featureId = $featureId;
        $this->consumerId = $consumerId;
        $this->consumerTargetId = $consumerTargetId;
        $this->isConnected = $isConnected;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return null|string Deleted date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getDeletedAt(): ?string
    {
        return $this->deletedAt;
    }
}