<?php
namespace Bushelpowered\Api\Platform\Connection\V1\Response;
        
class ConsumerData 
{
    /** @var string $consumerName */
    public string $consumerName;
    /** @var string $consumerLogoUrl */
    public string $consumerLogoUrl;
    /** @var string[] $supportedFeatures This lists the features that a consumer can accept data for. In practice, this is essentially a list of enums, but as the list of possible values will expand frequently it is not being represented as an enum to prevent deserialization errors as new values would be added.*/
    public array $supportedFeatures;

    /**
     * @param  string  $consumerName 
     * @param  string  $consumerLogoUrl 
     * @param  string[]  $supportedFeatures This lists the features that a consumer can accept data for. In practice, this is essentially a list of enums, but as the list of possible values will expand frequently it is not being represented as an enum to prevent deserialization errors as new values would be added.
     */
    public function __construct(string $consumerName, string $consumerLogoUrl, array $supportedFeatures)
    {
        $this->consumerName = $consumerName;
        $this->consumerLogoUrl = $consumerLogoUrl;
        $this->supportedFeatures = $supportedFeatures;
    }
    

}