<?php
namespace Bushelpowered\Api\Platform\Location\V1\Request;
        
class FacilityRequest implements \Bushelpowered\Api\Platform\Location\V1\Request\HasLocationType
{
    /** @var string $physicalAddressLine1 */
    public string $physicalAddressLine1;
    /** @var string $datasourceId */
    public string $datasourceId;
    /** @var string $integrationId */
    public string $integrationId;
    /** @var string $sourceId */
    public string $sourceId;
    /** @var null|string $sourceName */
    public ?string $sourceName = null;
    /** @var null|string $internalName */
    public ?string $internalName = null;
    /** @var null|string $publicName */
    public ?string $publicName = null;
    /** @var null|string $physicalAddressLine2 */
    public ?string $physicalAddressLine2 = null;
    /** @var null|string $physicalLocality */
    public ?string $physicalLocality = null;
    /** @var null|string $physicalAdministrativeArea */
    public ?string $physicalAdministrativeArea = null;
    /** @var null|string $physicalPostalCode */
    public ?string $physicalPostalCode = null;
    /** @var null|string $physicalCountryCode */
    public ?string $physicalCountryCode = null;
    /** @var null|float $latitude */
    public ?float $latitude = null;
    /** @var null|float $longitude */
    public ?float $longitude = null;
    /** @var string[]|null $businessType */
    public ?array $businessType = null;
    /** @var null|string $businessPhone */
    public ?string $businessPhone = null;
    /** @var null|string $businessFax */
    public ?string $businessFax = null;
    /** @var null|string $businessEmail */
    public ?string $businessEmail = null;
    /** @var null|string $businessWebsite */
    public ?string $businessWebsite = null;

    /**
     * @param  string  $physicalAddressLine1 
     * @param  string  $datasourceId 
     * @param  string  $integrationId 
     * @param  string  $sourceId 
     * @param  null|string  $sourceName 
     * @param  null|string  $internalName 
     * @param  null|string  $publicName 
     * @param  null|string  $physicalAddressLine2 
     * @param  null|string  $physicalLocality 
     * @param  null|string  $physicalAdministrativeArea 
     * @param  null|string  $physicalPostalCode 
     * @param  null|string  $physicalCountryCode 
     * @param  null|float  $latitude 
     * @param  null|float  $longitude 
     * @param  string[]|null  $businessType 
     * @param  null|string  $businessPhone 
     * @param  null|string  $businessFax 
     * @param  null|string  $businessEmail 
     * @param  null|string  $businessWebsite 
     */
    public function __construct(string $physicalAddressLine1, string $datasourceId, string $integrationId, string $sourceId, ?string $sourceName, ?string $internalName, ?string $publicName, ?string $physicalAddressLine2, ?string $physicalLocality, ?string $physicalAdministrativeArea, ?string $physicalPostalCode, ?string $physicalCountryCode, ?float $latitude, ?float $longitude, ?array $businessType, ?string $businessPhone, ?string $businessFax, ?string $businessEmail, ?string $businessWebsite)
    {
        $this->physicalAddressLine1 = $physicalAddressLine1;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceName = $sourceName;
        $this->internalName = $internalName;
        $this->publicName = $publicName;
        $this->physicalAddressLine2 = $physicalAddressLine2;
        $this->physicalLocality = $physicalLocality;
        $this->physicalAdministrativeArea = $physicalAdministrativeArea;
        $this->physicalPostalCode = $physicalPostalCode;
        $this->physicalCountryCode = $physicalCountryCode;
        $this->latitude = $latitude;
        $this->longitude = $longitude;
        $this->businessType = $businessType;
        $this->businessPhone = $businessPhone;
        $this->businessFax = $businessFax;
        $this->businessEmail = $businessEmail;
        $this->businessWebsite = $businessWebsite;
    }
    
    /**
     * @return string 
     */
    public function getPhysicalAddressLine1(): string
    {
        return $this->physicalAddressLine1;
    }
    /**
     * @return string 
     */
    public function getDatasourceId(): string
    {
        return $this->datasourceId;
    }
    /**
     * @return string 
     */
    public function getIntegrationId(): string
    {
        return $this->integrationId;
    }
    /**
     * @return string 
     */
    public function getSourceId(): string
    {
        return $this->sourceId;
    }
    /**
     * @return null|string 
     */
    public function getSourceName(): ?string
    {
        return $this->sourceName;
    }
    /**
     * @return null|string 
     */
    public function getInternalName(): ?string
    {
        return $this->internalName;
    }
    /**
     * @return null|string 
     */
    public function getPublicName(): ?string
    {
        return $this->publicName;
    }
    /**
     * @return null|string 
     */
    public function getPhysicalAddressLine2(): ?string
    {
        return $this->physicalAddressLine2;
    }
    /**
     * @return null|string 
     */
    public function getPhysicalLocality(): ?string
    {
        return $this->physicalLocality;
    }
    /**
     * @return null|string 
     */
    public function getPhysicalAdministrativeArea(): ?string
    {
        return $this->physicalAdministrativeArea;
    }
    /**
     * @return null|string 
     */
    public function getPhysicalPostalCode(): ?string
    {
        return $this->physicalPostalCode;
    }
    /**
     * @return null|string 
     */
    public function getPhysicalCountryCode(): ?string
    {
        return $this->physicalCountryCode;
    }
    /**
     * @return null|float 
     */
    public function getLatitude(): ?float
    {
        return $this->latitude;
    }
    /**
     * @return null|float 
     */
    public function getLongitude(): ?float
    {
        return $this->longitude;
    }
    /**
     * @return string[]|null 
     */
    public function getBusinessType(): ?array
    {
        return $this->businessType;
    }
    /**
     * @return null|string 
     */
    public function getBusinessPhone(): ?string
    {
        return $this->businessPhone;
    }
    /**
     * @return null|string 
     */
    public function getBusinessFax(): ?string
    {
        return $this->businessFax;
    }
    /**
     * @return null|string 
     */
    public function getBusinessEmail(): ?string
    {
        return $this->businessEmail;
    }
    /**
     * @return null|string 
     */
    public function getBusinessWebsite(): ?string
    {
        return $this->businessWebsite;
    }
}