<?php
namespace Bushelpowered\Api\Platform\Message\V1\Request;
        
class PermissionTargetData implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasResource
{
    /** @var string $permission The permission users need on the specified resource in order to be a target.*/
    public string $permission;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource */
    public \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource;

    /**
     * @param  string  $permission The permission users need on the specified resource in order to be a target.
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef  $resource 
     */
    public function __construct(string $permission, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef $resource)
    {
        $this->permission = $permission;
        $this->resource = $resource;
    }
    
    /**
     * @return \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef 
     */
    public function getResource(): \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ResourceRef
    {
        return $this->resource;
    }
}