<?php
namespace Bushelpowered\Api\Platform\Message\V1\Request;
        
class PushChannel 
{
    /** @var null|string $title The title of the notification, falls back to the message request title if not provided. Throws a validation error if neither are provided.*/
    public ?string $title = null;
    /** @var null|string $body The body of the notification, falls back to the message request body if not provided. Throws a validation error if neither are provided.*/
    public ?string $body = null;
    /** @var null|string $redirectToFeature The feature the user should land on when clicking the notification. This is placed in the meta of the notification and must be a string understood by the app.*/
    public ?string $redirectToFeature = null;

    /**
     * @param  null|string  $title The title of the notification, falls back to the message request title if not provided. Throws a validation error if neither are provided.
     * @param  null|string  $body The body of the notification, falls back to the message request body if not provided. Throws a validation error if neither are provided.
     * @param  null|string  $redirectToFeature The feature the user should land on when clicking the notification. This is placed in the meta of the notification and must be a string understood by the app.
     */
    public function __construct(?string $title, ?string $body, ?string $redirectToFeature)
    {
        $this->title = $title;
        $this->body = $body;
        $this->redirectToFeature = $redirectToFeature;
    }
    

}