<?php
namespace Bushelpowered\Api\Quoting\V1\Request;
        
class StaffQuoteFilters 
{
    /** @var null|string $preparedById The id of the user that prepared the quote*/
    public ?string $preparedById = null;
    /** @var string[]|null $accountIds The account ids to filter by*/
    public ?array $accountIds = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory[]|null $categories A list of categories to filter by*/
    public ?array $categories = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\StaffQuoteStatusFilter[]|null $statuses The staff statuses to filter by*/
    public ?array $statuses = null;
    /** @var null|string $creationDateStart The created date start to filter by of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $creationDateStart = null;
    /** @var null|string $creationDateEnd The created date end to filter by of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $creationDateEnd = null;

    /**
     * @param  null|string  $preparedById The id of the user that prepared the quote
     * @param  string[]|null  $accountIds The account ids to filter by
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory[]|null  $categories A list of categories to filter by
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\StaffQuoteStatusFilter[]|null  $statuses The staff statuses to filter by
     * @param  null|string  $creationDateStart The created date start to filter by of yyyy-MM-dd format, IE: 2023-10-04
     * @param  null|string  $creationDateEnd The created date end to filter by of yyyy-MM-dd format, IE: 2023-10-04
     */
    public function __construct(?string $preparedById, ?array $accountIds, ?array $categories, ?array $statuses, ?string $creationDateStart, ?string $creationDateEnd)
    {
        $this->preparedById = $preparedById;
        $this->accountIds = $accountIds;
        $this->categories = $categories;
        $this->statuses = $statuses;
        $this->creationDateStart = $creationDateStart;
        $this->creationDateEnd = $creationDateEnd;
    }
    

}