<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Request;
        
interface CreateDocumentWithEncodedPdf
{
        /**
         * @return string The id of the datasource where this record came from.
         */
    public function getdatasourceId(): string;
        /**
         * @return null|string The esign owner defined id. Known in the CMS as contract id. For pushed documents this is the pusher's remote id
         */
    public function getcustomerTag(): ?string;
        /**
         * @return null|string The title of the document.
         */
    public function gettitle(): ?string;
        /**
         * @return null|string The subject of the document.
         */
    public function getsubject(): ?string;
        /**
         * @return null|string The message of the document.
         */
    public function getmessage(): ?string;
        /**
         * @return \Bushelpowered\Api\Trade\Esign\V1\Model\Owner 
         */
    public function getowner(): \Bushelpowered\Api\Trade\Esign\V1\Model\Owner;
        /**
         * @return \Bushelpowered\Api\Trade\Esign\V1\Model\Signer 
         */
    public function getsigner(): \Bushelpowered\Api\Trade\Esign\V1\Model\Signer;
        /**
         * @return bool Whether or not the document is signed by the creator.
         */
    public function getisSigned(): bool;
        /**
         * @return string The PDF of the document base64 encoded.
         */
    public function getpdf(): string;
}