<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class CreateLocationRequest 
{
    /** @var string $companyId The unique identifier for a specific Company related to the Location.*/
    public string $companyId;
    /** @var int $centreId The unique identifier for centre.*/
    public int $centreId;
    /** @var int $cqgCategoryId The identifier for the CQG symbol.*/
    public int $cqgCategoryId;
    /** @var string $displayName The name that is displayed for the Location.*/
    public string $displayName;
    /** @var int $sortOrder The order in which the Location should be displayed in the API response.*/
    public int $sortOrder;
    /** @var null|string $salesSeriesId The sales series from CQG-accounts project.*/
    public ?string $salesSeriesId = null;
    /** @var null|string $remoteId The Company's remote id (aka erp id or source id) for the location.*/
    public ?string $remoteId = null;

    /**
     * @param  string  $companyId The unique identifier for a specific Company related to the Location.
     * @param  int  $centreId The unique identifier for centre.
     * @param  int  $cqgCategoryId The identifier for the CQG symbol.
     * @param  string  $displayName The name that is displayed for the Location.
     * @param  int  $sortOrder The order in which the Location should be displayed in the API response.
     * @param  null|string  $salesSeriesId The sales series from CQG-accounts project.
     * @param  null|string  $remoteId The Company's remote id (aka erp id or source id) for the location.
     */
    public function __construct(string $companyId, int $centreId, int $cqgCategoryId, string $displayName, int $sortOrder, ?string $salesSeriesId, ?string $remoteId)
    {
        $this->companyId = $companyId;
        $this->centreId = $centreId;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->displayName = $displayName;
        $this->sortOrder = $sortOrder;
        $this->salesSeriesId = $salesSeriesId;
        $this->remoteId = $remoteId;
    }
    

}